import java.io.BufferedReader;
import java.io.DataOutputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.ProtocolException;
import java.net.URL;
import java.util.Scanner;

import javax.net.ssl.HttpsURLConnection;

/**
 * 
 * @author yohan legat
 *
 */

public class FreeWifiConnector {
	
	private static HttpsURLConnection https;
	
	private static String LOGIN = "LOGIN";
	
	private static String PASSWORD = "PASSWORD";
	
	public static void main(String[] argument) {
		System.out.println("Connexion en cours, un instant...");
		connecte();
		showReponse();
		
		System.out.println("Appuyez sur entrer pour terminer.");
		Scanner scanner = new Scanner(System.in);
		scanner.nextLine();
	}

	
	public static void connecte() {
		try {
			String post = "login=" + LOGIN + "&password=" + PASSWORD + "&submit=Valider";

			URL url = new URL("https://wifi.free.fr/Auth");
			https = (HttpsURLConnection) url.openConnection();
			String navigateur = "Mozilla/4.0";
			https.setRequestProperty("User-Agent", navigateur);

			https.setDoOutput(true);
			https.setRequestMethod("POST");
			https.setRequestProperty("Content-Type", "application/x-www-form-urlencoded");
			https.setRequestProperty("Content-Length", String.valueOf(post.getBytes("UTF-8").length));
			
			DataOutputStream out = new DataOutputStream(https.getOutputStream());
			out.write(post.getBytes("UTF-8"));
		} catch (ProtocolException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	public static void showReponse() {
		try {
			BufferedReader in = new BufferedReader(new InputStreamReader(https.getInputStream()));
			while (in.ready())
				System.out.println(in.readLine());
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
}
